<?php

namespace App\Modules\Invoices;

class PurchaseOrder extends AbstractInvoice
{
    /**
     *	Register events.
     */
    public static function boot()
    {
        parent::boot();

        // When a sale is created we want to
        // update the created_by field
        static::creating(function ($invoice) {
            $invoice->type = 'purchase_order';
        });
    }
}
